14.06.2013 07:31    

k005
Merhaba arkadaşlar;

birinci text : 84ø12/15

ikinci text : L=365

bu iki ayrı yazıdan 3 adet ayrı texti bir noktaya yazdırabilirmiyim ?

Şöyle;

Noktayı belirledim, ø12 yazdı arasında beş karakter boşluk bırakıp 365 yazdı yine beş karakter boşluk bırakıp 84 yazacak..

ø12 365 84 şeklinde.


yardımcı arkadaşa şimdiden teşekkürler..

14.06.2013 07:35    

Travaci
Son 3 yazı tek bir text mi olucak ?

14.06.2013 07:55    

k005
Alıntı
Travaci :
Son 3 yazı tek bir text mi olucak ?




Hayır hocam,, 3 ü de ayrı text olacak

14.06.2013 09:07    

ehya
metraj lispi yazılıyor anlaşılan :)

14.06.2013 09:10    

k005
Alıntı
ehya :

Artık,, hazırlayabilirsem bakalım.. Ehya hocam.. :yes

14.06.2013 09:15    

ehya
Kolay birşey değil.. Bendeki metraj lispi 6bin satırdan fazla. Gerçi ben yazarken her aşamasını ve her hatayı düşündüğümden dolayı böyle uzadı..
Allah kolaylık versin..

14.06.2013 09:51    

Travaci
Kullandığın text'i paylaşırmısın.

14.06.2013 11:18    

k005
Alıntı
Travaci :
Hocam bana istinaden mi soruyorsun ? Text i paylaşırmısın derken ?

14.06.2013 11:28    

Travaci
Evet, kullandığın font fi' yi nasıl kullanıyor bilmiyorum.

14.06.2013 11:32    

k005
Alıntı
Travaci :
tamam hocam, hemen örnek bir dosya ekliyorum.. bu mesajıma..
15420-ornek.dwg

k005 (14.06.2013 11:45 GMT)

14.06.2013 20:44    

Travaci
Kod:

(defun c:aL (/)
   (setq d1 (cdr (assoc 1 (entget (car (entsel "\nAdet & Cap: ")))))
         d2 (cdr (assoc 1 (entget (car (entsel "\nBoy: ")))))
         adet (substr d1 1 (vl-string-position (ascii "ø") d1))
         cap (substr d1 (1+ (vl-string-position (ascii "ø") d1))
                        (- (vl-string-position (ascii "/") d1) 2))
         boy (vl-string-left-trim "L=" d2)))

Değerleri istediğiniz gibi yazdırırsınız:

15.06.2013 06:05    

k005
Alıntı
Travaci :

Hocam çok teşekkür ediyorum, tamamdır,, eline yüreğine, sağlık..

**************************

d1 ve d2 işlem sonunda silinmesini nasıl sağlarım ?

Kod:

command "erase" d1 ""
şeklinde denedim olmadı..

k005 (15.06.2013 11:23 GMT)

15.06.2013 11:26    

Travaci
Silinmesinden kastın ne ? Onları yazdırıyormusun ki silesin ? Yazdırıyorsan nie yazdırıyorsun, nie siliyorsun : )

15.06.2013 11:53    

k005
Alıntı
Travaci :
Silinmesinden kastın ne ? Onları yazdırıyormusun ki silesin ? Yazdırıyorsan nie yazdırıyorsun, nie siliyorsun : )



Hemen açıklayayım: onları direkt olarak yazdırmıyorum, ama seçiyorum biliyorsun... dolayısı ile metraj yapılan paftanın bir kopyası üzerinden çalışıyorum., seçilenin özelliklerini zaten aldığım için silinmesi, benim doğru bir şekilde kontrol yapmamı sağlamış olur... :)

15.06.2013 12:55    

Travaci
Kod:

(defun c:aL (/)
   (setq d1 (car (entsel "\nAdet & Cap: "))
         d2 (cdr (assoc 1 (entget d1)))
         adet (substr d2 1 (vl-string-position (ascii "ø") d2))
         cap (substr d2 (1+ (vl-string-position (ascii "ø") d2))
             (- (vl-string-position (ascii "/") d2) 2))) (entdel d1)
   (setq d3 (car (entsel "\nBoy: "))
         d4 (cdr (assoc 1 (entget d3))) 
         boy (vl-string-left-trim "L=" d4)) (entdel d3) (princ))

15.06.2013 13:06    

k005
Alıntı
Travaci :
hocam kodlamada bir hata var sanırım.. bir de bu entdel text obje siliyor mu ?

k005 (15.06.2013 13:42 GMT)

15.06.2013 13:25    

Travaci
Ne hatası var ?

15.06.2013 13:28    

k005
Alıntı
Travaci :

hocam çok pardon, özür,, bir yerde hata yapmışım.. :blush Tamamdır, çok teşekkür ederim.. yardımların için.. Metrajım bitti sayılır.. kısa bişey oldu ama güzel oldu.. :)

15.06.2013 13:36    

Travaci
Entdel; objenin entity name'ini verdikten sonra herşeyi siler.
Kod:

(defun c:ent (/)
   (setq d1 (car (entsel "\nAdet & Cap: "))))

Yukardaki kod ile objeye tıkladığınızda komut satırında <Entity name: 7e8df1e8> gibi birşey çıkıcak. Her objenin kendine ait numarası vardır.

> 1 <
Copyright © 2004-2022 SQL: 1.71 saniye - Sorgu: 96 - Ortalama: 0.01782 saniye